Get Packages
https://app.fossa.com/api/packagesRetrieve the number of projects that a dependency is used in and how many versions of it are blocked. This endpoint is paginated.
Query parameters
fetchersenum[]Filter packages to those from the specified fetchers. For example, fetchers[0]=npm&fetchers[1]=apk will match all NPM packages and all APK packages.
packageNamestringFilter results to only packages with the specified name. Supports partial matches. For example "foo" will match "foo", "foobar", and "foo-bar".
depthenum[]Filter results to only include packages which are direct or transitive dependencies of your projects.
labelsstring[]Filter packages to those belonging to your projects with the specified labels.
projectNamestringFilter packages to only one of your specific projects. Exact match only.
sourcesstring[]Filter packages to those belonging to your projects from the specified set of sources
visibilityenum[]Filter results to your projects which are public or private
blockTypesenum[]Filter packages to include only packages that do or do not have packages as dependencies which are blocked by your organization
cvestringFilter packages to those with vulnerabilities that have specific Common Vulnerabilities and Exposures (CVE) identifiers
cwesstring[]Filter packages to those with vulnerabilities that have specific Common Weakness Enumeration (CWE) identifiers
fixTypesenum[]Filter packages to those with vulnerabilities that either have or do not have a fix available
severitiesenum[]Filter packages by severity levels of issues
teamIdsnumber[]Filter packages to just those owned by the specified teams. Specify the string "null" to filter packages that are not owned by any team.
locatorsstring[]Filter packages by the specified dependency project locators without revision / version data. Locators are unique identifiers for packages in the FOSSA system. Exact matches only.
pageintegerThe page number to retrieve
countintegerThe number of results to return per page. Values above the maximum of 50 are silently clamped to 50.
sortenumThe field to sort by
matchalphabeticalusageResponses
200A paginated list of packages used by your organization.dataobject[]requiredThe page of packages matching the supplied filters.
locatorstringrequiredThe package locator (without revision / version data).
titlestringrequiredThe human-readable package title.
numberOfProjectsintegerrequiredThe number of your projects that depend on this package.
blockedVersionCountintegerrequiredThe number of versions of this package that are blocked by your organization.
countintegerrequiredThe total number of packages matching the supplied filters across all pages.
400Bad requestuuidstringUnique identifier associated with the error
codeintegerfossa specific error code
messagestringmessage associated with this error
namestringname of the error
httpStatusCodeintegerhttp status code number
403ForbiddenuuidstringUnique identifier associated with the error
codeintegerfossa specific error code
messagestringmessage associated with this error
namestringname of the error
httpStatusCodeintegerhttp status code number
Try this endpoint
Build a request and run it against app.fossa.com.
Stored in this browser for 24 hours. Try It uses a docs proxy for CORS and does not store tokens server-side.
GET https://app.fossa.com/api/packagescurl --request GET \ --url 'https://app.fossa.com/api/packages' \ --header 'accept: application/json'Real request. Mutating methods can change data.
Query params
fetchersarrayFilter packages to those from the specified fetchers. For example, fetchers[0]=npm&fetchers[1]=apk will match all NPM packages and all APK packages.
packageNamestringFilter results to only packages with the specified name. Supports partial matches. For example "foo" will match "foo", "foobar", and "foo-bar".
deptharrayFilter results to only include packages which are direct or transitive dependencies of your projects.
labelsarrayFilter packages to those belonging to your projects with the specified labels.
projectNamestringFilter packages to only one of your specific projects. Exact match only.
sourcesarrayFilter packages to those belonging to your projects from the specified set of sources
visibilityarrayFilter results to your projects which are public or private
blockTypesarrayFilter packages to include only packages that do or do not have packages as dependencies which are blocked by your organization
cvestringFilter packages to those with vulnerabilities that have specific Common Vulnerabilities and Exposures (CVE) identifiers
cwesarrayFilter packages to those with vulnerabilities that have specific Common Weakness Enumeration (CWE) identifiers
fixTypesarrayFilter packages to those with vulnerabilities that either have or do not have a fix available
severitiesarrayFilter packages by severity levels of issues
teamIdsarrayFilter packages to just those owned by the specified teams. Specify the string "null" to filter packages that are not owned by any team.
locatorsarrayFilter packages by the specified dependency project locators without revision / version data. Locators are unique identifiers for packages in the FOSSA system. Exact matches only.
pageintegerThe page number to retrieve
countintegerThe number of results to return per page. Values above the maximum of 50 are silently clamped to 50.
sortenumThe field to sort by